{ config, lib, pkgs, ... }:

let
  inherit (lib) mkIf mkMerge mkThenElse;
  annuaire = config.r6d.machines;
  currentMachine = annuaire."${config.networking.hostName}";
  flags = currentMachine.configurationFlags;
in

mkIf (flags.edition-musique && flags.graphical) {

  # Paquets
  environment.systemPackages = with pkgs; [
    #
    audacity      # montage audio
    easytag       # gestion des métadonnées des fichiers musicaux
    picard        # gestion des métadonnées des fichiers musicaux
  ];
}
