{ config, lib, pkgs, ... }:

let
  inherit (lib) mkIf mkMerge mkThenElse;
  annuaire = config.r6d.machines;
  currentMachine = annuaire."${config.networking.hostName}";
  flags = currentMachine.configurationFlags;
in

mkIf (flags.multimediaSuite && flags.graphical) {

  # Paquets
  environment.systemPackages = with pkgs; [
    ## Video
    smplayer      # lecteur vidéo
    vlc           # lecteur vidéo
  ];
}
