{ config, lib, pkgs, ... }:

let
  inherit (lib) mkIf mkMerge mkThenElse;
  annuaire = config.r6d.machines;
  currentMachine = annuaire."${config.networking.hostName}";
  flags = currentMachine.configurationFlags;
in

mkIf flags.securitySuite {

  # Paquets
  environment.systemPackages = with pkgs; [
    pass            # gestionnaire de mots de passe
    pwgen           # générateur de mots de passe
  ];
}
