{ config, lib, pkgs, ... }:

let
  inherit (lib) mkIf mkMerge mkThenElse;
  annuaire = config.r6d.machines;
  currentMachine = annuaire."${config.networking.hostName}";
  flags = currentMachine.configurationFlags;
in

mkIf flags.docker {

  # Paquets
  environment.systemPackages = with pkgs; [
    # Ecosystème Docker
    docker
    docker-compose
  ];

  virtualisation.docker.enable = true;
}
