{ config, lib, pkgs, ... }:

let
  inherit (lib) mkIf;
  annuaire = config.r6d.machines;
  currentMachine = annuaire."${config.networking.hostName}";
  flags = currentMachine.configurationFlags;
in

mkIf (true && flags.graphical) {

  # Diagnostic réseau Wireshark (droits fins par le groupe wireshark)
  programs.wireshark = {
    enable = true;
    package = pkgs.wireshark;
  };

  # Paquets
  environment.systemPackages = with pkgs; [
  ];
}
