{ config, lib, pkgs, ... }:

let
  inherit (lib) mkIf mkMerge mkThenElse;
  annuaire = config.r6d.machines;
  currentMachine = annuaire."${config.networking.hostName}";
  flags = currentMachine.configurationFlags;
in

mkIf (flags.radio && flags.graphical) {

  # Paquets
  environment.systemPackages = with pkgs; [
    ## GUI
    gqrx                    # GUI
    gnuradio-with-packages  # Software Defined Radio (SDR) software

    ## A Trier
    #inspectrum    # Tool for analysing captured signals from sdr receivers
/run/current-system/sw/bin/bash: q : commande introuvable
  ];
}
