{ config, lib, pkgs, ... }:

let
  inherit (lib) mkIf mkMerge mkThenElse;
  annuaire = config.r6d.machines;
  currentMachine = annuaire."${config.networking.hostName}";
  flags = currentMachine.configurationFlags;
in

mkIf flags.edition-photo {

  # Paquets
environment.systemPackages = with pkgs; [
    # Méta données
    exif
    exiftags

    # Retouche, modification & dessin vectoriel
    imagemagick   # modification image en CLI
  ];
}
