{ config, lib, pkgs, ... }:

let
  inherit (lib) mkIf mkMerge mkThenElse;
  annuaire = config.r6d.machines;
  currentMachine = annuaire."${config.networking.hostName}";
  flags = currentMachine.configurationFlags;
in

mkIf flags.multimediaSuite {

  # Paquets
  environment.systemPackages = with pkgs; [
    ## Audio
    beep
    cmus          # lecteur audio console
    espeak        # synthèse vocale
    vorbis-tools  # codec
  ];
}
