{ config, lib, pkgs, ... }:

let
  inherit (lib) mkIf mkMerge mkThenElse;
  annuaire = config.r6d.machines;
  currentMachine = annuaire."${config.networking.hostName}";
  flags = currentMachine.configurationFlags;
in

mkIf flags.auto-upgrade {

  # Automatic update & automatic clean

  system.autoUpgrade.enable = true;
  nix.gc.automatic = true;
}
